#include <iostream>
#include <iomanip>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int N;
    cin >> N;
    float procenat[N];
    long double jabucar[N];

    for( int i = 0 ; i < N; i++)
    {
        cin >> jabucar[i] >> procenat[i];
    }

    long double  suma = 0.0 ;
    long double  max_suma = 0.0;

    for(int i = 0 ; i < N ; i++)
    {
        for(int j = 0; j < N ; j++)
        {
            if(procenat[i] <= procenat[j])
            {
                suma += jabucar[j];

            }

        }
    suma = suma * procenat[i] / 100.0;
    if(suma > max_suma) max_suma = suma;
    suma = 0;
    }

    cout << endl << setprecision(8) << fixed <<  max_suma;
}